
TYPO3 Flow Base Distribution - Bug # 34614

Status: Resolved Priority: Must have
Author: Jan Roth Category: Build Process
Created: 2012-03-06 Assigned To: Karsten Dambekalns
Updated: 2012-05-30 Due date:
Affected Flow version: FLOW3 1.0.3
Subject: Evil packed bz2 package
Description

in the FLOW3-1.0.3.tar.bz2 file is a bad fileentry for ./ . if you untar this bz2 file as root, you change your directory owner and group for
your current directory.
That is very bad...... After i untar it, i can't not login via ssh and public key to my maschine, because openssh can't access my
authorized_keys file.

Please fix this issue, it was very time expensive...

History
#1 - 2012-03-07 17:02 - Karsten Dambekalns
- Category set to Build Process
- Status changed from New to Accepted
- Assigned To changed from Mr. Jenkins to Karsten Dambekalns
- Target version set to 1.0.4

#2 - 2012-04-18 22:46 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.0.5

#3 - 2012-05-29 16:16 - Karsten Dambekalns

Here's the catch:

tar  --transform="s,^./,FLOW3-1.1.0-beta2/,"  --exclude=".git*"  --exclude="Data/*"  --exclude="Web/_Resources/*"  --exclude="Build/Reports" 
--exclude="./Cache"  --exclude="Configuration/PackageStates.php"  -czf ~/FLOW3-1.1.0-beta2.tar.gz --directory ~/Sites/flow3 .

is used to create the archives. But the transform regex works not on . thus that entry is left alone and ends up in the archive.

#4 - 2012-05-29 16:43 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11690

#5 - 2012-05-29 17:01 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11690
#6 - 2012-05-29 17:09 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11690

#7 - 2012-05-30 21:55 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
